Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package session

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Definition Classes
    interpreter
- AbstractFileClassLoader
- AbstractOrMissingHandler
- CommandLine
- Completion
- Delimited
- EchoReader
- ExprTyper
- Formatting
- ILoop
- IMain
- IMainOps
- ISettings
- Imports
- InteractiveReader
- Javap
- JavapClass
- Logger
- LoopCommands
- MemberHandlers
- NamedParam
- NamedParamClass
- NamedParamCreator
- Naming
- NoCompletion
- NoJavap
- Parsed
- Pasted
- Phased
- Power
- PresentationCompilation
- PresentationCompilerCompleter
- ProcessResult
- ReplConfig
- ReplDir
- ReplGlobal
- ReplOutput
- ReplProps
- ReplReporter
- ReplStrings
- ReplVals
- Results
- RichClass
- Scripted
- SimpleReader
- SplashLoop
- SplashReader
- StdReplTags
- StdReplVals
- Tabulator
- TapMaker
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter

# SimpleReader 

###
Companion object SimpleReader

#### class SimpleReader extends InteractiveReader

Reads using standard JDK API

Source
  SimpleReader.scala

Linear Supertypes
InteractiveReader, AnyRef, Any
Known Subclasses
EchoReader
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SimpleReader
2. InteractiveReader
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SimpleReader(in: BufferedReader, out: JPrintWriter, interactive: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SimpleReader to any2stringadd[SimpleReader] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SimpleReader, B)
   Implicit
     This member is added by an implicit conversion from SimpleReader to ArrowAssoc[SimpleReader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  val completion: NoCompletion.type
   Definition Classes
     SimpleReader → InteractiveReader
9.  def echo(s: String): Unit
   Attributes
     protected
10.  def ensuring(cond: (SimpleReader) ⇒ Boolean, msg: ⇒ Any): SimpleReader
    Implicit
      This member is added by an implicit conversion from SimpleReader to Ensuring[SimpleReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (SimpleReader) ⇒ Boolean): SimpleReader
    Implicit
      This member is added by an implicit conversion from SimpleReader to Ensuring[SimpleReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): SimpleReader
    Implicit
      This member is added by an implicit conversion from SimpleReader to Ensuring[SimpleReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): SimpleReader
    Implicit
      This member is added by an implicit conversion from SimpleReader to Ensuring[SimpleReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SimpleReader to StringFormat[SimpleReader] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  val history: NoHistory.type
    Definition Classes
      SimpleReader → InteractiveReader
21.  val interactive: Boolean
    Definition Classes
      SimpleReader → InteractiveReader
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  def postInit(): Unit
    Definition Classes
      InteractiveReader
27.  def readLine(prompt: String): String
    Definition Classes
      InteractiveReader
28.  def readOneKey(prompt: String): Nothing
    Attributes
      protected
    Definition Classes
      SimpleReader → InteractiveReader
29.  def readOneLine(): String
    Attributes
      protected
30.  def readOneLine(prompt: String): String
    Attributes
      protected
    Definition Classes
      SimpleReader → InteractiveReader
31.  def readYesOrNo(prompt: String, alt: ⇒ Boolean): Boolean
    Definition Classes
      InteractiveReader
32.  def redrawLine(): Unit
    Definition Classes
      SimpleReader → InteractiveReader
33.  def reset(): Unit
    Definition Classes
      SimpleReader → InteractiveReader
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  def →[B](y: B): (SimpleReader, B)
    Implicit
      This member is added by an implicit conversion from SimpleReader to ArrowAssoc[SimpleReader] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from InteractiveReader

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SimpleReader to any2stringadd[SimpleReader]

### Inherited by implicit conversion StringFormat from SimpleReader to StringFormat[SimpleReader]

### Inherited by implicit conversion Ensuring from SimpleReader to Ensuring[SimpleReader]

### Inherited by implicit conversion ArrowAssoc from SimpleReader to ArrowAssoc[SimpleReader]

### Ungrouped